body {
    font-family: 'JetBrains Mono', monospace;
    margin: 0;
    padding: 0;
    background-color: #111;
    color: #fff;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    text-align: center;
    padding: 20px;
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

h1 {
    margin: 0;
    padding: 10px 0;
    color: #fff;
}

.cursor {
    display: inline-block;
    width: 3px;
    height: 1em;
    background-color: #fff;
    margin-left: 2px;
    animation: blink 1s infinite;
}

@keyframes blink {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}

.visually-hidden {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

footer {
    text-align: center;
    padding: 20px;
    font-family: 'JetBrains Mono', monospace;
    font-size: 1rem;
    background-color: #111;
    color: #fff;
    opacity: 0;
    transition: opacity 0.5s ease;
}

footer a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
    cursor: pointer;
}

footer a:hover {
    color: #d82728;
}